%define lib_major 0
%define api_version 3
%define libname %mklibname %{name} %{api_version} %{lib_major}
%define libnamedev %mklibname -d %{name}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Summary:	API documentation browser for developers
Name:		devhelp
Version:	3.4.1
Release:	%mkrel 1
License:	GPLv2+
Group:		Development/Other
URL:		http://live.gnome.org/devhelp
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:		devhelp-3.3.91-linking.patch
BuildRequires:	pkgconfig(gconf-2.0) >= 2.6.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.25.11
BuildRequires:	pkgconfig(gthread-2.0) >= 2.10.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0.2
BuildRequires:	pkgconfig(webkitgtk-3.0)
BuildRequires:	intltool
BuildRequires:	desktop-file-utils
#for gnome-autogen.sh
BuildRequires:	gnome-common
BuildRequires:	gettext-devel

%description
Devhelp is an API documentation browser for GNOME 2. It works
natively with Gtk-doc (System used in GTK+ and GNOME for
documentating APIs) and it is possible to create books for other
documentation as well.

%package -n %{libname}
Summary:	Dynamic libraries for devhelp
Group:		System/Libraries
Requires:	%{name} >= %{version}

%description -n %{libname}
this package contains dynamic libraries for devhelp.


%package -n %{libnamedev}
Summary:	Development files and headers for devhelp
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-%{api_version}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Obsoletes:	%{_lib}devhelp-2-devel < %{version}

%description -n %{libnamedev}
This package contains the development files and headers for devhelp.

%package -n %{name}-plugins
Summary:	Gedit Plugins for Devhelp
Group:		Editors
Requires:	gedit

%description -n %{name}-plugins
Gedit plugins to use with Devhelp.

%prep
%setup -q
%apply_patches

%build
NOCONFIGURE=1 gnome-autogen.sh
%configure2_5x --disable-static
%make

%install
rm -rf %{buildroot}

%makeinstall_std

find %{buildroot} -name '*.la' -delete

# owns this dir
mkdir -p %{buildroot}%{_datadir}/%{name}/books

%find_lang %{name}

%preun
%preun_uninstall_gconf_schemas %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_sysconfdir}/gconf/schemas/devhelp.schemas
%{_bindir}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/devhelp
%{_datadir}/icons/hicolor/*/apps/%{name}.png

%files -n %{libname}
%{_libdir}/lib%{name}-%{api_version}.so.%{lib_major}*

%files -n %{libnamedev}
%{_libdir}/lib%{name}-%{api_version}.so
%{_libdir}/pkgconfig/lib%{name}-3.0.pc
%{_includedir}/devhelp-3.0/

%files -n %{name}-plugins
%{_libdir}/gedit/plugins/*


%changelog
* Sun May 06 2012 Alexander Khrukin <akhrukin@mandriva.org> 3.4.1-1mdv2012.0
+ Revision: 797206
- verson update 3.4.1

* Wed Mar 14 2012 Matthew Dawkins <mattydaw@mandriva.org> 3.2.0-1
+ Revision: 785031
- new version 3.2.0
- cleaned up spec

* Mon Jun 20 2011 Funda Wang <fwang@mandriva.org> 2.32.0-5
+ Revision: 686120
- rebuild for new webkit

* Sun May 22 2011 Funda Wang <fwang@mandriva.org> 2.32.0-4
+ Revision: 677244
- correct lib policy

* Sun May 22 2011 Funda Wang <fwang@mandriva.org> 2.32.0-3
+ Revision: 677215
- rebuild

* Tue May 03 2011 Oden Eriksson <oeriksson@mandriva.com> 2.32.0-2
+ Revision: 663766
- mass rebuild

* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 2.32.0-1mdv2011.0
+ Revision: 581605
- update to new version 2.32.0

* Mon Sep 13 2010 Götz Waschk <waschk@mandriva.org> 2.31.92-1mdv2011.0
+ Revision: 577916
- update to new version 2.31.92

* Mon Aug 30 2010 Götz Waschk <waschk@mandriva.org> 2.31.91-1mdv2011.0
+ Revision: 574413
- update to new version 2.31.91

* Mon Aug 02 2010 Götz Waschk <waschk@mandriva.org> 2.31.6-1mdv2011.0
+ Revision: 565148
- new version
- new api

* Sun Jul 11 2010 Götz Waschk <waschk@mandriva.org> 2.30.1-1mdv2011.0
+ Revision: 550798
- update to new version 2.30.1

* Mon Mar 29 2010 Götz Waschk <waschk@mandriva.org> 2.30.0-1mdv2010.1
+ Revision: 528796
- update to new version 2.30.0

* Tue Feb 09 2010 Götz Waschk <waschk@mandriva.org> 2.29.90-1mdv2010.1
+ Revision: 502712
- update to new version 2.29.90

* Mon Nov 30 2009 Götz Waschk <waschk@mandriva.org> 2.29.3-1mdv2010.1
+ Revision: 472002
- update to new version 2.29.3

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 2.28.1-1mdv2010.0
+ Revision: 458821
- Release 2.28.1

* Thu Sep 24 2009 Götz Waschk <waschk@mandriva.org> 2.28.0.1-1mdv2010.0
+ Revision: 448149
- new version
- add gconf schema

* Mon Sep 21 2009 Götz Waschk <waschk@mandriva.org> 2.28.0-1mdv2010.0
+ Revision: 446820
- new version
- drop patch
- update file list

* Fri Sep 18 2009 Götz Waschk <waschk@mandriva.org> 2.27.92-2mdv2010.0
+ Revision: 444318
- don't open blank web page on startup (bug #53773)?\194?\167

* Mon Sep 07 2009 Götz Waschk <waschk@mandriva.org> 2.27.92-1mdv2010.0
+ Revision: 432711
- update build deps
- new version
- new major

* Thu Aug 27 2009 Frederic Crozat <fcrozat@mandriva.com> 0.23.1-2mdv2010.0
+ Revision: 421661
- No longer touches .desktop file (ok upstream)
- Remove obsolete BR

* Thu Aug 13 2009 Götz Waschk <waschk@mandriva.org> 0.23.1-1mdv2010.0
+ Revision: 415960
- new version
- drop patches

* Mon Aug 10 2009 Funda Wang <fwang@mandriva.org> 0.23-3mdv2010.0
+ Revision: 414168
- add patch from git to build with newer webkit
- add patch from fedora to build with newer glib

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Thu Mar 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.23-2mdv2009.1
+ Revision: 354377
- Rebuild for new webkit major

* Mon Jan 19 2009 Götz Waschk <waschk@mandriva.org> 0.23-1mdv2009.1
+ Revision: 331323
- update to new version 0.23

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Tue Dec 02 2008 Götz Waschk <waschk@mandriva.org> 0.22-1mdv2009.1
+ Revision: 308985
- replace xulrunner by webkit
- update to new version 0.22

* Fri Nov 14 2008 Götz Waschk <waschk@mandriva.org> 0.21-5mdv2009.1
+ Revision: 303118
- rebuild for new firefox

* Sun Nov 09 2008 Funda Wang <fwang@mandriva.org> 0.21-4mdv2009.1
+ Revision: 301345
- rebuild for new xcb

* Mon Sep 29 2008 Götz Waschk <waschk@mandriva.org> 0.21-3mdv2009.0
+ Revision: 289229
- rebuild for new xulrunner

* Fri Sep 26 2008 Tiago Salem <salem@mandriva.com.br> 0.21-2mdv2009.0
+ Revision: 288707
- add strict version requires to xulrunner

* Mon Sep 22 2008 Götz Waschk <waschk@mandriva.org> 0.21-1mdv2009.0
+ Revision: 286809
- new version

* Mon Sep 08 2008 Götz Waschk <waschk@mandriva.org> 0.20-1mdv2009.0
+ Revision: 282634
- new version
- drop patches
- fix xulrunner build
- update license

* Wed Jul 30 2008 Götz Waschk <waschk@mandriva.org> 0.19.1-7mdv2009.0
+ Revision: 254927
- build with xulrunner

* Wed Jul 16 2008 Oden Eriksson <oeriksson@mandriva.com> 0.19.1-6mdv2009.0
+ Revision: 236369
- rebuilt for mozilla-firefox-2.0.0.16

* Thu Jul 03 2008 Tiago Salem <salem@mandriva.com.br> 0.19.1-5mdv2009.0
+ Revision: 231245
- Rebuild for firefox 2.0.0.15

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Funda Wang <fwang@mandriva.org>
    - fix url

* Mon May 26 2008 Götz Waschk <waschk@mandriva.org> 0.19.1-4mdv2009.0
+ Revision: 211317
- new version

* Wed Apr 30 2008 Funda Wang <fwang@mandriva.org> 0.19-4mdv2009.0
+ Revision: 199366
- rebuild with latest FF

* Wed Mar 26 2008 Götz Waschk <waschk@mandriva.org> 0.19-3mdv2008.1
+ Revision: 190444
- rebuild for firefox 2.0.0.13

* Sat Feb 09 2008 Funda Wang <fwang@mandriva.org> 0.19-2mdv2008.1
+ Revision: 164624
- rebuild for new FF

* Thu Feb 07 2008 Götz Waschk <waschk@mandriva.org> 0.19-1mdv2008.1
+ Revision: 163554
- new version

* Wed Jan 30 2008 Götz Waschk <waschk@mandriva.org> 0.18-1mdv2008.1
+ Revision: 160191
- new version

* Mon Jan 07 2008 Götz Waschk <waschk@mandriva.org> 0.17-1mdv2008.1
+ Revision: 146329
- new version

  + Olivier Blin <blino@mandriva.org>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Götz Waschk <waschk@mandriva.org> 0.16.1-4mdv2008.1
+ Revision: 117693
- rebuild for new firefox

* Thu Nov 08 2007 Götz Waschk <waschk@mandriva.org> 0.16.1-3mdv2008.1
+ Revision: 106854
- rebuild for new firefox

* Thu Oct 18 2007 Funda Wang <fwang@mandriva.org> 0.16.1-2mdv2008.1
+ Revision: 99852
- rebuild against FF 2.0.0.7

* Sat Oct 06 2007 Götz Waschk <waschk@mandriva.org> 0.16.1-1mdv2008.1
+ Revision: 95659
- new version

* Mon Sep 10 2007 Götz Waschk <waschk@mandriva.org> 0.16-1mdv2008.0
+ Revision: 84196
- new version

* Wed Aug 01 2007 Götz Waschk <waschk@mandriva.org> 0.15-3mdv2008.0
+ Revision: 57615
- new devel name

* Tue Jun 19 2007 Götz Waschk <waschk@mandriva.org> 0.15-2mdv2008.0
+ Revision: 41353
- new version

* Wed May 16 2007 Götz Waschk <waschk@mandriva.org> 0.14-1mdv2008.0
+ Revision: 27199
- new version
- fix file list
- drop oldskool menu

